GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/xml-tdesc.h File Reference
`#include "common/gdb_optional.h"`
`#include <string>`

Go to the source code of this file.

## Functions
const struct target_desc * | file_read_description_xml (const char *filename)
const struct target_desc * | target_read_description_xml (struct target_ops *)
gdb::optional< std::string > | target_fetch_description_xml (target_ops *ops)

## Function Documentation

## ◆ file_read_description_xml()

const struct target_desc* file_read_description_xml | ( | const char * | filename | ) |

Definition at line 670 of file xml-tdesc.c.

References _, ldirname(), tdesc_parse_xml(), warning(), and xml_fetch_content_from_file().

Referenced by maint_print_c_tdesc_cmd(), maintenance_check_xml_descriptions(), and target_find_description().

## ◆ target_fetch_description_xml()

gdb::optional<std::string> target_fetch_description_xml | ( | target_ops * | ops | ) |

Definition at line 725 of file xml-tdesc.c.

References _, fetch_available_features_from_target(), string, warning(), and xml_process_xincludes().

Referenced by tfile_write_tdesc().

## ◆ target_read_description_xml()

const struct target_desc* target_read_description_xml | ( | struct target_ops * |  | ) |

Definition at line 708 of file xml-tdesc.c.

References fetch_available_features_from_target(), and tdesc_parse_xml().

Referenced by target_find_description().